---
kind: pipeline
type: docker
name: default

steps:
- name: cargo_check
  image: rust
  commands:
  - cargo check
- name: cargo_test
  image: rust
  commands:
  - cargo test 
- name: cargo_clippy
  image: rust
  commands:
  - rustup component add clippy
  - cargo clippy
